=== docs/requirements.txt ===
libvirt-python
PyGithub
myst-parser
sphinx
sphinx-rtd-theme
sphinxcontrib-apidoc
git+https://github.com/sphinx-contrib/napoleon.git#egg=sphinxcontrib-napoleon
git+https://github.com/ggbecker/sphinxcontrib.jinjadomain.git#egg=sphinxcontrib-jinjadomain
