=== debian/changelog ===
scap-security-guide (0.1.76-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch, included upstream.
  * Enable caching when building.
  * Remove d/TODO, no longer valid.
  * Update Standards-Version to 4.7.2, no changes needed.
  * Update installed products and package descriptions.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 01 Mar 2025 09:08:00 +0100
