=== debian/control ===
Source: scap-security-guide
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Håvard F. Aasen <havard.f.aasen@pfft.no>,
Build-Depends: cmake,
               debhelper-compat (=13),
               libxml2-utils,
               openscap-scanner,
               python3,
               python3-lxml,
               python3-jinja2,
               python3-setuptools,
               python3-yaml,
               xsltproc,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.open-scap.org/security-policies/scap-security-guide
Vcs-Git: https://salsa.debian.org/pkg-security-team/scap-security-guide.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/scap-security-guide

Package: ssg-base
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Recommends: openscap-scanner,
Suggests: ansible,
          puppet,
Description: SCAP Security guide base content and documentation
 This package contains the basic content and manual pages explaining how
 the SCAP-security-guide works. It deploys man page and all various
 information about current SSG release.
 .
 SCAP (Security Content Automation Protocol) is a set of standards used in
 order to automatically manage vulnerabilities and policy compliance
 evaluation on a complete deployed infrastructure. SSG provides various
 official policies such as PCI-DSS, NIST SP-800-53 or ANSSI best practices
 as official policies.

Package: ssg-debian
Architecture: all
Depends: ssg-base,
         ${misc:Depends},
Multi-Arch: foreign
Description: SCAP Guides and benchmarks targeting Debian releases
 This package contains all the SCAP guides, benchmarks and remediation
 files for Debian releases. Remediation files are Shell-based, Ansible-based
 and Puppet-based depending on the target infrastructure deployment policy.
 .
 SCAP (Security Content Automation Protocol) is a set of standards used in
 order to automatically manage vulnerabilities and policy compliance
 evaluation on a complete deployed infrastructure. SSG provides various
 official policies such as PCI-DSS, NIST SP-800-53 or ANSSI best practices
 as official policies.
 .
 This package include SCAP guides for:
   - Debian 11
   - Debian 12

Package: ssg-debderived
Architecture: all
Depends: ssg-base,
         ${misc:Depends},
Multi-Arch: foreign
Description: SCAP Guides and benchmarks targeting Debian-based OS
 This package contains all the SCAP guides for deb-based distributions
 such as Ubuntu.
 This package contains all the SCAP guides, benchmarks and remediation
 files. Remediation files are Shell-based, Ansible-based  and
 Puppet-based depending on the target infrastructure deployment policy.
 .
 SCAP (Security Content Automation Protocol) is a set of standards used in
 order to automatically manage vulnerabilities and policy compliance
 evaluation on a complete deployed infrastructure. SSG provides various
 official policies such as PCI-DSS, NIST SP-800-53 or ANSSI best practices
 as official policies.
 .
 This package include SCAP guides for:
   - Ubuntu 16.04
   - Ubuntu 18.04
   - Ubuntu 20.04
   - Ubuntu 22.04
   - Ubuntu 24.04

Package: ssg-applications
Architecture: all
Depends: ssg-base,
         ${misc:Depends},
Multi-Arch: foreign
Description: SCAP Guides and benchmarks targeting userspace applications
 This package contains all the SCAP guides, benchmarks and remediation
 files for userspace applications. Remediation files are Shell-based,
 Ansible-based and Puppet-based depending on the target infrastructure
 deployment policy.
 .
 SCAP (Security Content Automation Protocol) is a set of standards used in
 order to automatically manage vulnerabilities and policy compliance
 evaluation on a complete deployed infrastructure. SSG provides various
 official policies such as PCI-DSS, NIST SP-800-53 or ANSSI best practices
 as official policies.
 .
 This package include SCAP guides for:
   - Amazon Elastic Kubernetes Service (Amazon EKS)
   - Chromium
   - Firefox

Package: ssg-nondebian
Architecture: all
Depends: ssg-base,
         ${misc:Depends},
Multi-Arch: foreign
Description: SCAP Guides and benchmarks targeting other GNU/Linux OS
 This package contains all the SCAP guides, benchmarks and remediation
 files for nondebian operating system targets such as Red-Hat RHEL, SuSE and
 others. Remediation files are Shell-based, Ansible-based and Puppet-based
 depending on the target infrastructure deployment policy.
 .
 SCAP (Security Content Automation Protocol) is a set of standards used in
 order to automatically manage vulnerabilities and policy compliance
 evaluation on a complete deployed infrastructure. SSG provides various
 official policies such as PCI-DSS, NIST SP-800-53 or ANSSI best practices
 as official policies.
 .
 This package include SCAP guides for:
   - Alibaba Cloud Linux 2
   - Alibaba Cloud Linux 3
   - AlmaLinux OS 9
   - Amazon Linux 2023
   - Anolis OS 8
   - Anolis OS 23
   - Apple macOS 10.15
   - Fedora
   - Kylin Server 10
   - OpenEmbedded
   - openEuler 22.03
   - openSUSE
   - Oracle Linux 7
   - Oracle Linux 8
   - Oracle Linux 9
   - Oracle Linux 10
   - Red Hat Enterprise Linux 8
   - Red Hat Enterprise Linux 9
   - Red Hat Enterprise Linux 10
   - Red Hat Enterprise Linux CoreOS 4
   - Red Hat OpenShift Container Platform 4
   - Red Hat Virtualization 4
   - SUSE Linux Enterprise 12
   - SUSE Linux Enterprise 15
   - SUSE Linux Enterprise Micro 5
