=== docs/requirements.txt ===
libvirt-python
PyGithub
myst-parser
sphinx
sphinx-rtd-theme
sphinxcontrib-apidoc
git+https://github.com/mab879/sphinxcontrib.jinjadomain.git#egg=sphinxcontrib-jinjadomain
