=== debian/changelog ===
scap-security-guide (0.1.78-1) unstable; urgency=medium

  * New upstream release.
    - Upstream release includes fix for CMake >= 4. Closes: #1113485
    - Update installed files.
    - Update package description to match installed products.
  * Update d/watch to version 5, no changes needed.
  * Refer to GPL-2+ license file located on system.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 12 Sep 2025 10:13:30 +0200
