=== debian/control ===
--- 
+++ 
@@ -56,6 +56,7 @@
  This package include SCAP guides for:
    - Debian 11
    - Debian 12
+   - Debian 13
 
 Package: ssg-debderived
 Architecture: all
@@ -76,9 +77,6 @@
  as official policies.
  .
  This package include SCAP guides for:
-   - Ubuntu 16.04
-   - Ubuntu 18.04
-   - Ubuntu 20.04
    - Ubuntu 22.04
    - Ubuntu 24.04
 
@@ -147,3 +145,5 @@
    - SUSE Linux Enterprise 12
    - SUSE Linux Enterprise 15
    - SUSE Linux Enterprise Micro 5
+   - SUSE Linux Enterprise Micro 6
+   - TencentOS Server 4
