=== debian/watch ===
version=5
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/scap-security-guide-$1\.tar\.gz/ \
  https://github.com/ComplianceAsCode/content/tags .*/v?(\d\S*)\.tar\.gz
