=== requirements.txt ===
--- 
+++ 
@@ -15,5 +15,5 @@
 prometheus_client
 # used in utils/oscal
 requests
-compliance-trestle==3.7.0
+compliance-trestle==3.9.3
 pyopenssl>=23.2.0
