=== debian/changelog ===
scap-security-guide (0.1.79-1) unstable; urgency=medium

  * New upstream release.
    - Update installed files.
    - Update package description to match installed products.
  * Really use version 5 of watch file.
  * Remove RRR, value is now default
  * Update salsa CI pipeline

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 05 Dec 2025 12:21:18 +0100
