=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                python3-yaml,
                xsltproc,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://www.open-scap.org/security-policies/scap-security-guide
 Vcs-Git: https://salsa.debian.org/pkg-security-team/scap-security-guide.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/scap-security-guide
@@ -99,7 +98,6 @@
  .
  This package include SCAP guides for:
    - Amazon Elastic Kubernetes Service (Amazon EKS)
-   - Chromium
    - Firefox
 
 Package: ssg-nondebian
@@ -144,6 +142,7 @@
    - Red Hat Virtualization 4
    - SUSE Linux Enterprise 12
    - SUSE Linux Enterprise 15
+   - SUSE Linux Enterprise 16
    - SUSE Linux Enterprise Micro 5
    - SUSE Linux Enterprise Micro 6
    - TencentOS Server 4
