=== debian/watch ===
Version: 5

Template: Github
Owner: ComplianceAsCode
Project: content
Source: https://api.github.com/repos/ComplianceAsCode/content/git/matching-refs/tags/v0.1.
